%global _empty_manifest_terminate_build 0
Name:           python-typed-ast
Version:        1.5.5
Release:        1
Summary:        a fork of Python 2 and 3 ast modules with type comment support
License:        Apache-2.0
URL:            https://github.com/python/typed_ast
Source0:        https://files.pythonhosted.org/packages/f9/7e/a424029f350aa8078b75fd0d360a787a273ca753a678d1104c5fa4f3072a/typed_ast-1.5.5.tar.gz

%description
It is a Python 3 package that provides a Python 2.7 and Python 3 parser similar to the standard ast library.
Unlike ast, the parsers in typed_ast include PEP 484 type comments and are independent of the version of Python
under which they are run. The typed_ast parsers produce the standard Python AST (plus type comments), and are
both fast and correct, as they are based on the CPython 2.7 and 3.7 parsers. typed_ast runs on CPython 3.5-3.8
on Linux, OS X and Windows.

%package -n python3-typed-ast
Summary:        a fork of Python 2 and 3 ast modules with type comment support
Provides:       python-typed-ast
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-cffi
BuildRequires:  gcc
BuildRequires:  gdb
%description -n python3-typed-ast
It is a Python 3 package that provides a Python 2.7 and Python 3 parser similar to the standard ast library.

%package help
Summary:        a fork of Python 2 and 3 ast modules with type comment support
Provides:       python3-typed-ast-doc
%description help
It is a Python 3 package that provides a Python 2.7 and Python 3 parser similar to the standard ast library.

%prep
%autosetup -n typed_ast-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-typed-ast -f filelist.lst

%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Jul 15 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.5.5-1
- Upgrade package to version 1.5.5

* Wed Nov 09 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 1.5.4-1
- Upgrade package to version 1.5.4

* Fri 06 2022 OpenStack_SIG <openstack@openeuler.org> - 1.5.2-1
- Upgrade to 1.5.2 to support openstack yoga

* Thu Aug 05 2021 OpenStack_SIG <openstack@openeuler.org> - 1.4.2-1
- Package Spec generate
